Subject: Re: perl-5.14.2 switch
From: Reini Urban <[email-masked]>
To: "Yaakov (Cygwin/X)" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 10 Jul 2012 17:36:28 -0500
List-Id: <cygwin.cygwin.com>

On Tue, Jul 10, 2012 at 3:56 PM, Yaakov (Cygwin/X) wrote:
> On Tue, Jul 10, 2012 at 1:01 PM, Reini Urban wrote:
>> I'll be switching perl from 5.10 to 5.14 in the next days.
>
> Your rebase pure_install changes in EU::MM_Cygwin do not take DESTDIR
> into account, breaking cygport.  Line 195 of said module needs to be
> changed to (as one long line):
>
> $s =~ s|^(pure_install ::
> pure_\$\(INSTALLDIRS\)_install\n\t)\$\(NOECHO\)
> \$\(NOOP\)\n|$1\$(CHMOD) \$(PERM_RWX) \$(DESTDIR)$dll\n\ttest -n
> "\$(DESTDIR)\" \|\| /bin/rebase -s $dll\n|m;
>
> I have fixed my local copy in the meantime and am continuing to work
> on the upgrade, but this is a blocker for 5.14.

Great find!

I've completed my remaining deps also, so only Volker is missing with one.
I'll fix this and do the switch ASAP.
Thanks.

Then we can improve rebasing with Achim's patch.
-- 
Reini Urban
http://cpanel.net/   http://www.perl-compiler.org/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple